| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Member Functions | List of all members
SoInterpolateFloat Class Reference
Engine Classes

The SoInterpolateFloat class is used to interpolate two floating point values. More...

`#include <Inventor/engines/SoInterpolateFloat.h>`

Inheritance diagram for SoInterpolateFloat:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual const SoFieldData * | getFieldData (void) const
virtual const SoEngineOutputData * | getOutputData (void) const

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass ()
Static Public Member Functions inherited from SoInterpolate
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | initClasses (void)
Static Public Member Functions inherited from SoEngine
static void | initClass (void)
static void | initClasses (void)
static SoType | getClassTypeId (void)
static SoEngine * | getByName (const SbName &name)
static int | getByName (const SbName &name, SoEngineList &el)
Static Public Member Functions inherited from SoFieldContainer
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initCopyDict (void)
static void | addCopy (const SoFieldContainer *orig, const SoFieldContainer *copy)
static SoFieldContainer * | checkCopy (const SoFieldContainer *orig)
static SoFieldContainer * | findCopy (const SoFieldContainer *orig, const SbBool copyconnections)
static void | copyDone (void)
Static Public Member Functions inherited from SoBase
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | addName (SoBase *const base, const char *const name)
static void | removeName (SoBase *const base, const char *const name)
static void | incrementCurrentWriteCounter (void)
static void | decrementCurrentWriteCounter (void)
static SoBase * | getNamedBase (const SbName &name, SoType type)
static int | getNamedBases (const SbName &name, SoBaseList &baselist, SoType type)
static SbBool | read (SoInput *input, SoBase *&base, SoType expectedtype)
static void | setInstancePrefix (const SbString &c)
static void | setTraceRefs (SbBool trace)
static SbBool | getTraceRefs (void)
static SbBool | connectRoute (SoInput *input, const SbName &fromnodename, const SbName &fromfieldname, const SbName &tonodename, const SbName &tofieldname)
static SbBool | readRoute (SoInput *input)

## Public Attributes

SoMFFloat | input0
SoMFFloat | input1
Public Attributes inherited from SoInterpolate
SoSFFloat | alpha
SoEngineOutput | output

## Static Protected Member Functions

static const SoFieldData ** | getInputDataPtr (void)
static const SoEngineOutputData ** | getOutputDataPtr (void)
Static Protected Member Functions inherited from SoInterpolate
static const SoFieldData ** | getInputDataPtr (void)
static const SoEngineOutputData ** | getOutputDataPtr (void)
Static Protected Member Functions inherited from SoEngine
static const SoFieldData ** | getInputDataPtr (void)
static const SoEngineOutputData ** | getOutputDataPtr (void)

## Additional Inherited Members

Protected Types inherited from SoBase
enum | BaseFlags { IS_ENGINE = 0x01, IS_GROUP = 0x02 }
Protected Member Functions inherited from SoInterpolate
| SoInterpolate ()
virtual | ~SoInterpolate (void)
Protected Attributes inherited from SoFieldContainer
SbBool | isBuiltIn

## Detailed Description

The SoInterpolateFloat class is used to interpolate two floating point values.

## Member Function Documentation

virtual SoType SoInterpolateFloat::getTypeId | ( | void | ) |  | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for run-time type checking and "downward" casting.

Usage example:

void foo(SoNode * node)
{
if (node->getTypeId() == SoFile::getClassTypeId()) {
SoFile * filenode = (SoFile *)node; // safe downward cast, knows the type
}
}

For application programmers wanting to extend the library with new nodes, engines, nodekits, draggers or others: this method needs to be overridden in all subclasses. This is typically done as part of setting up the full type system for extension classes, which is usually accomplished by using the pre-defined macros available through for instance Inventor/nodes/SoSubNode.h (SO_NODE_INIT_CLASS and SO_NODE_CONSTRUCTOR for node classes), Inventor/engines/SoSubEngine.h (for engine classes) and so on.

For more information on writing Coin extensions, see the class documentation of the toplevel superclasses for the various class groups.

Reimplemented from SoInterpolate.

virtual const SoFieldData* SoInterpolateFloat::getFieldData | ( | void | ) |  | const

virtual

Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns `NULL`.

Reimplemented from SoInterpolate.

virtual const SoEngineOutputData* SoInterpolateFloat::getOutputData | ( | void | ) |  | const

virtual

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoInterpolate.

## Member Data Documentation

SoMFFloat SoInterpolateFloat::input0

First set of input values.

SoMFFloat SoInterpolateFloat::input1

Second set of input values.

The documentation for this class was generated from the following files:

- SoInterpolateFloat.h
- SoInterpolateFloat.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.